Windows Management Framework (WMF) 5.1 Released

Update March 28, 2017: WMF 5.1 in Microsoft Update Catalog

Update January 27, 2017: .Net version info updated.

We are pleased to announce that we are releasing the Windows Management Framework (WMF) 5.1 via the Microsoft download center.  Update 3/28/2017: WMF 5.1 is also available for most supported Windows versions in the Microsoft Update Catalog, see this blog for additional details.   

WMF 5.1 upgrades Windows 7, Windows 8.1, Windows Server 2008 R2, Windows Server 2012, and Windows Server 2012 R2 to the PowerShell, WMI, WinRM and SIL components that were released with Windows Server 2016 and Windows 10 Anniversary Edition.  

You can find out more about the WMF 5.1 release in the Release Notes.   

Please note that for Windows 7 and Windows Server 2008 R2 the installation instructions have changed significantly. Please read the Install and Configure topic in the release notes. We have removed the requirement for pre-installing WMF 4 on Windows 7 and Windows Server 2008 R2, but to do so we had create a script for checking the prerequisites that accompanies the MSU in a ZIP file. WMF 5.1 requires .Net version 4.5.2, and cannot be installed on Windows 7 or Windows Server 2008 R2 if WMF 3.0 is installed. This affects only Windows 7 and Windows Server 2008 R2. The Install and Configure topic in the release notes provides details on using the script.  

As always, we welcome your feedback on PowerShell and WMF via our UserVoice site.

Thank you –

The PowerShell Team